Bug 248168 - sysutils/rsyncrypto does not build in poudriere and FreeBSD 11.4
Summary: sysutils/rsyncrypto does not build in poudriere and FreeBSD 11.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-22 12:20 UTC by Miroslav Lachman
Modified: 2020-07-28 06:31 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (linpct)


Attachments
poudriere build log failure (22.67 KB, text/plain)
2020-07-22 12:20 UTC, Miroslav Lachman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Lachman 2020-07-22 12:20:29 UTC
Created attachment 216657 [details]
poudriere build log failure

Build failure on FreeBSD 11.4 with Poudriere

crypto.cpp:158:13: error: member access into incomplete type 'RSA' (aka 'rsa_st')
    if( (prv->p==0 || prv->q==0) ) {
            ^
/usr/local/include/openssl/ossl_typ.h:110:16: note: forward declaration of 'rsa_st'
typedef struct rsa_st RSA;
               ^
crypto.cpp:168:10: warning: 'auto_ptr<key>' is deprecated [-Wdeprecated-declarations]
    std::auto_ptr<key> ret(key::read_key( decrypted.get() ));
         ^
/usr/include/c++/v1/memory:2130:28: note: 'auto_ptr<key>' has been explicitly marked deprecated here
class _LIBCPP_TEMPLATE_VIS _LIBCPP_DEPRECATED_IN_CXX11 auto_ptr
                           ^
/usr/include/c++/v1/__config:972:39: note: expanded from macro '_LIBCPP_DEPRECATED_IN_CXX11'
#  define _LIBCPP_DEPRECATED_IN_CXX11 _LIBCPP_DEPRECATED
                                      ^
/usr/include/c++/v1/__config:961:48: note: expanded from macro '_LIBCPP_DEPRECATED'
#    define _LIBCPP_DEPRECATED __attribute__ ((deprecated))
                                               ^
crypto.cpp:247:10: warning: 'auto_ptr<key>' is deprecated [-Wdeprecated-declarations]
    std::auto_ptr<key> new_header;
         ^
/usr/include/c++/v1/memory:2130:28: note: 'auto_ptr<key>' has been explicitly marked deprecated here
class _LIBCPP_TEMPLATE_VIS _LIBCPP_DEPRECATED_IN_CXX11 auto_ptr
                           ^
/usr/include/c++/v1/__config:972:39: note: expanded from macro '_LIBCPP_DEPRECATED_IN_CXX11'
#  define _LIBCPP_DEPRECATED_IN_CXX11 _LIBCPP_DEPRECATED
                                      ^
/usr/include/c++/v1/__config:961:48: note: expanded from macro '_LIBCPP_DEPRECATED'
#    define _LIBCPP_DEPRECATED __attribute__ ((deprecated))
                                               ^
crypto.cpp:250:25: warning: 'auto_ptr<key>' is deprecated [-Wdeprecated-declarations]
        new_header=std::auto_ptr<key>(decrypt_header( fromfd, prv ));
                        ^
/usr/include/c++/v1/memory:2130:28: note: 'auto_ptr<key>' has been explicitly marked deprecated here
class _LIBCPP_TEMPLATE_VIS _LIBCPP_DEPRECATED_IN_CXX11 auto_ptr
                           ^
/usr/include/c++/v1/__config:972:39: note: expanded from macro '_LIBCPP_DEPRECATED_IN_CXX11'
#  define _LIBCPP_DEPRECATED_IN_CXX11 _LIBCPP_DEPRECATED
                                      ^
/usr/include/c++/v1/__config:961:48: note: expanded from macro '_LIBCPP_DEPRECATED'
#    define _LIBCPP_DEPRECATED __attribute__ ((deprecated))
                                               ^
4 warnings and 1 error generated.
gmake[2]: *** [Makefile:293: crypto.o] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/sysutils/rsyncrypto/work/rsyncrypto-1.12'
gmake[1]: *** [Makefile:184: all] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/sysutils/rsyncrypto/work/rsyncrypto-1.12'
*** Error code 1
Comment 1 commit-hook freebsd_committer 2020-07-27 12:05:04 UTC
A commit references this bug:

Author: danfe
Date: Mon Jul 27 12:04:45 UTC 2020
New revision: 543518
URL: https://svnweb.freebsd.org/changeset/ports/543518

Log:
  - Update to version 1.14 which works against modern OpenSSL versions
  - Correctly register dependency on `devel/argtable' as LIB_DEPENDS
  - While here: adjust LICENSE, switch to USES+=localbase, install the
    standard set of documentation files

  PR:	248168

Changes:
  head/sysutils/rsyncrypto/Makefile
  head/sysutils/rsyncrypto/distinfo
Comment 2 commit-hook freebsd_committer 2020-07-28 06:29:19 UTC
A commit references this bug:

Author: danfe
Date: Tue Jul 28 06:29:13 UTC 2020
New revision: 543578
URL: https://svnweb.freebsd.org/changeset/ports/543578

Log:
  Allow to build against pre-1.1.0 versions of OpenSSL which are still
  used in FreeBSD 11.x and would be supported until September 30, 2021.

  PR:	248168

Changes:
  head/sysutils/rsyncrypto/Makefile
  head/sysutils/rsyncrypto/files/
  head/sysutils/rsyncrypto/files/patch-crypto.cpp
Comment 3 Alexey Dokuchaev freebsd_committer 2020-07-28 06:31:17 UTC
Prior to ports r543518, the port offered very old version which did not support modern versions of OpenSSL.  Should be fixed on 11.4 as well with ports r543578.